Subject: [TR] 1976 TR6 front caliper

From: Q <[email-masked]>
Date: Sun, 30 May 2021 15:42:07 -0700

Any caliper I ever purchased had all the pistons and seals included.  
"Loaded" inmy eperiance has always meant that the caliper comes with a 
set of brake pads for that one caliper, not an axle set.

I too have had many seized calipers and just needed to clean and replace 
the seals and pistons to get a good one again.  I expect that I have 
done at least two dozen sets over the years

Edward Hamer

Petaluma CA

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]